Get Agent Oauth App

Get Agent Oauth App
Get validated status of OAuth application associated to the specified Usage Meter agent.

Get validated status of OAuth application associated to the specified Usage Meter agent.

Request
URI
GET
https://eapi.broadcom.com/vcf/ums/api/v2/{tenantId}/agents/{agentId}/oauth-app
COPY
Path Parameters
string
tenantId
Required

The ID of the tenant

string
agentId
Required

The ID of the agent


Authentication
This operation uses the following authentication methods.
Responses
200

The client ID for the oauth app.

  • 200 There is a valid OAuth application associated with the specified Usage Meter agent.
  • 403 The user has no access to the requested OAuth application.
  • 404 There is no registered Usage Meter agent or the user has no access to it.
  • 410 There is no OAuth application created for the specified Usage Meter agent.
Returns OAuthApp of type(s) */*
{
    "name": "string",
    "description": "string",
    "clientId": "string",
    "createdBy": "string",
    "updatedBy": "string",
    "createdAt": "string",
    "updatedAt": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/vcf/ums/api/v2/{tenantId}/agents/{agentId}/oauth-app